#$Id: Dscli.pm,v 1.2 2013/07/01 08:48:23 dkotwal Exp $
#$Copyright: Copyright (c) 2014 Symantec Corporation.
#All rights reserved.
#
#THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
#SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
#WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
#The Licensed Software and Documentation are deemed to be commercial
#computer software as defined in FAR 12.212 and subject to restricted
#rights as defined in FAR Section 52.227-19 "Commercial Computer
#Software - Restricted Rights" and DFARS 227.7202, "Rights in
#Commercial Computer Software or Commercial Computer Software
#Documentation", as applicable, and any successor regulations. Any use,
#modification, reproduction release, performance, display or disclosure
#of the Licensed Software and Documentation by the U.S. Government
#shall be solely in accordance with the terms of this Agreement.  $
#$Source: /project/opm-addons/arraymod/src/lib/perl/modules/VRTS/Enclosure/VDID/common/Dscli.pm,v $

package VRTS::Enclosure::VDID::Dscli;
use strict;
use Carp;
require Exporter;

sub new 
{
    my $class = shift;
    my $self = {};

    bless ($self, $class);
    return $self;
}

sub initialize
{
    my $top = shift;

    my $module = new VRTS::Enclosure::VDID::Dscli;
    return $module;

}

sub get_enclosure_vdid
{
    my $self = shift;
    my $strImageId = shift;

    my $strImage_vdid;

    if ($strImageId =~ /IBM\.2107/) { # DS8000
        $strImage_vdid = $strImageId."_900";
    } elsif ($strImageId =~ /IBM\.1750/) { # DS6000
        $strImage_vdid = $strImageId."_500";
    }
    return $strImage_vdid;
}

1;
