/*$Id: sisdk.js,v 1.1 2012/09/25 22:33:01 joe Exp $*/
/*$Copyrights: Copyright (c) 2014 Symantec Corporation.
 *All rights reserved.
 *
 *THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
 *SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
 *WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
 *
 *The Licensed Software and Documentation are deemed to be commercial
 *computer software as defined in FAR 12.212 and subject to restricted
 *rights as defined in FAR Section 52.227-19 "Commercial Computer
 *Software - Restricted Rights" and DFARS 227.7202, "Rights in
 *Commercial Computer Software or Commercial Computer Software
 *Documentation", as applicable, and any successor regulations. Any use,
 *modification, reproduction release, performance, display or disclosure
 *of the Licensed Software and Documentation by the U.S. Government
 *shall be solely in accordance with the terms of this Agreement.  $*/

function isEmpty(object) {
   if (typeof object == 'undefined' || object === null ){
      return true;
   }else if (trim(object) ==""){
      return true;
   }
      return false;
}

function trim(stringToTrim) {
      return stringToTrim.replace(/^\s+|\s+$/g,"");
}

function toggle(filed, divId){
   if (document.getElementById(divId).style.display=='block')
   {
       document.getElementById(divId).style.display = 'none';
   }else{
       document.getElementById(divId).style.display='block'
   }
}

function showHide(checkBox, divId){
   if (checkBox.checked == true)
   {
       // alert(checkBox.value + "---");
      document.getElementById(divId).style.display='block';
   }else{
       // alert(checkBox.value + "====");
      document.getElementById(divId).style.display = 'none';
   }
}

function showHideMultiple(checkBox, divIdArray ){
   if (checkBox.checked == true)
   {
      for (var i = 0; i < divIdArray.length; i++){    
         // alert(divIdArray[i]);
          document.getElementById(divIdArray[i]).style.display='block';
      }
   }else{
      for (var i = 0; i < divIdArray.length; i++){      
          document.getElementById(divIdArray[i]).style.display='none';
      }
   }
}

function showHideSection(checkBox, checkBox2, divIdArray ){
   if (checkBox.checked == true && checkBox2.checked == true)
   {
      for (var i = 0; i < divIdArray.length; i++){      
          document.getElementById(divIdArray[i]).style.display='block';
      }
   }else{
      for (var i = 0; i < divIdArray.length; i++){      
          document.getElementById(divIdArray[i]).style.display='none';
      }
   }
}

function showHideOrCondition(checkBox, checkBox2, checkBox3, divIdArray ){
   if (checkBox.checked == true && (checkBox2.checked == true || checkBox3.checked == true))
   {
      for (var i = 0; i < divIdArray.length; i++){      
         // alert(checkBox + "<>" + checkBox2 + "<>"  + checkBox3 + "<on>" + divIdArray[i]);
          document.getElementById(divIdArray[i]).style.display='block';
      }
   }else{
      for (var i = 0; i < divIdArray.length; i++){      
          // alert(checkBox + "<>" + checkBox2 + "<>"  + checkBox3 + "<off>" + divIdArray[i]);
          document.getElementById(divIdArray[i]).style.display='none';
      }
   }
}
function setFocus(field){
   field.focus();
}

function hasWhiteSpace(s) {
  s = trim(s)
  return s.indexOf(' ') >= 0;
}

String.prototype.startsWith = function(prefix) {
    return this.indexOf(prefix) === 0;
}

String.prototype.endsWith = function(suffix) {
    return this.match(suffix+"$") == suffix;
};

function showHideRadio(radioButton, divId){   
    if (radioButton.value == "Yes")
    {
        document.getElementById(divId).style='';
    }else{
        document.getElementById(divId).style.display = 'none';
    }
}
function getCheckedValue(radioObj) {
    // alert("hhh");
    if(!radioObj)
        return "";
    var radioLength = radioObj.length;
    if(radioLength == undefined)
        if(radioObj.checked)
            return radioObj.value;
        else
            return "";
    for(var i = 0; i < radioLength; i++) {
        if(radioObj[i].checked) {
            return radioObj[i].value;
        }
    }
    return "";
}

function endsWith(str, suffix) {
    return str.indexOf(suffix, str.length - suffix.length) !== -1;
}

function getCookieVal (offset) {
  var endstr = document.cookie.indexOf (";", offset);
  if (endstr == -1) { endstr = document.cookie.length; }
  return unescape(document.cookie.substring(offset, endstr));
  }

function getCookieValue (name) {
  var arg = name + "=";
  var alen = arg.length;
  var clen = document.cookie.length;
  var i = 0;
  while (i < clen) {
    var j = i + alen;
    if (document.cookie.substring(i, j) == arg) {
      return getCookieVal (j);
      }
    i = document.cookie.indexOf(" ", i) + 1;
    if (i == 0) break;
    }
  return "";
  }

function setCookie(name,value,days)
{
    var date=new Date();
    date.setDate(date.getDate() + days);
    var c_value=escape(value) + ((days==null) ? "" : "; expires="+date.toUTCString());
    document.cookie=name + "=" + c_value;
}


function getQueryParameter ( parameterName ) {
  var queryString = window.top.location.search.substring(1);
  var parameterName = parameterName + "=";
  if ( queryString.length > 0 ) {
    begin = queryString.indexOf ( parameterName );
    if ( begin != -1 ) {
      begin += parameterName.length;
      end = queryString.indexOf ( "&" , begin );
        if ( end == -1 ) {
        end = queryString.length
      }
      return unescape ( queryString.substring ( begin, end ) );
    }
  }
  return "null";
} 


function openWindow(link, width, height,windowname, resizableFlag, scrollableFlag)
   {
       name = 'parent';
       var iMyWidth;
       var iMyHeight;
       iMyWidth = (window.screen.width/2) - ((width/2) + 10);        
       iMyHeight = (window.screen.height/2) - ((height/2) + 50); 	 
       win2 = window.open(link,windowname, "height=" + height + ",width=" + width + ",resizable=" + resizableFlag + ",left=" + iMyWidth + ",top=" + iMyHeight + ",screenX=" + iMyWidth + ",screenY=" + iMyHeight + ",scrollbars=" + scrollableFlag);
       win2.focus();
 }

function getParameterByName(name)
{
    name = name.replace(/[\[]/, "\\\[").replace(/[\]]/, "\\\]");
    var regexS = "[\\?&]" + name + "=([^&#]*)";
    var regex = new RegExp(regexS);
    var results = regex.exec(window.location.search);
    if(results == null)
        return "";
    else
        return decodeURIComponent(results[1].replace(/\+/g, " "));
}

function getAttribute(node, attributeName) {
    var value = null;
    if (node && node.attributes)
    {
        if (getBrowser() == "Gecko")
        {
            if (node.attributes[attributeName])
            {   
                value = node.attributes[attributeName].value;
            }
        }
        else 
        {
            value = node.getAttribute(attributeName);
        }
    }
    return value;
}

// Set the value of a attribute to a node.
function setAttribute(node, attributeName, attributeValue) {
    if (getBrowser == "Gecko")
    {
        if (!node.attributes[attributeName])
        {
            node.attributes[attributeName] = new Array();
        }
        node.attributes[attributeName].value = attributeValue;  
    }
    else 
    {
        node.setAttribute(attributeName, attributeValue);
    }
}

function getBrowser() {
    var userAgent = navigator.userAgent.toLowerCase();
    
    if(userAgent.indexOf("safari") > 0) {
        return "Safari";
    } else if(userAgent.indexOf("Camino") > 0) {
        return "Camino";
    } else if(userAgent.indexOf("msie") > 0) {
        return "IE";
    } else if(userAgent.indexOf("gecko") > 0) {
        return "Gecko";
    } else {
        return "Other";
    }
}

function toggleTable(table_id, no_checked)
{
   var table = document.getElementById(table_id);
   if (no_checked)
   {
      var inputs=table.getElementsByTagName('input');
      for(var i=0; i<inputs.length; ++i){
        inputs[i].disabled=true;
      }
      var selects=table.getElementsByTagName('select');
      for(var i=0; i<selects.length; ++i){
        selects[i].disabled=true;
      }

      disableImages(table_id);
      disableText(table_id);
   }else{
      var inputs=table.getElementsByTagName('input');
      for(var i=0; i<inputs.length; ++i){
        inputs[i].disabled=false;
      }
      var selects=table.getElementsByTagName('select');
      for(var i=0; i<selects.length; ++i){
        selects[i].disabled=false;
      }
       enableImages(table_id);
       enableText(table_id);
   }
}

function disableText(table_id){
    var table = document.getElementById(table_id);

    var pageCells = table.getElementsByTagName("TD");
    for(i = 0; i < pageCells.length; i++) 
    {
       var pageCell = pageCells[i];         
       var style = getAttribute(pageCell, "style");
      // if (style) 
      // {
         setAttribute(pageCell, "style", "color: rgb(143, 143, 143);");
       //}
    }     
}

function enableText(table_id){
    var table = document.getElementById(table_id);
    var pageCells = table.getElementsByTagName("TD");
    for(i = 0; i < pageCells.length; i++) 
    {
       var pageCell = pageCells[i];         
       var style = getAttribute(pageCell, "style");
       if (style && style.color) 
       {
         setAttribute(pageCell, "style", "");
       }
    }     
}

function disableImages(table_id){
  var table = document.getElementById(table_id);

  var pageImages =table.getElementsByTagName("IMG");
  for (i = 0; i < pageImages.length; i++) 
  {
     var pageImage = pageImages[i];
     var src = pageImage.src;

     if (src && src.indexOf("images") >= 0 && src.indexOf("_inactive.gif") < 0) 
     {
         pageImage.src = src.replace(".gif", "_inactive.gif");
     }
  }     
}

function enableImages(table_id){
  var table = document.getElementById(table_id);

  var pageImages =table.getElementsByTagName("IMG");

   for (i = 0; i < pageImages.length; i++) 
   {
      var pageImage = pageImages[i]
      var src = pageImage.src;

      if (src && src.indexOf("images") >= 0 && src.indexOf("_inactive.gif") >= 0) 
      {
          pageImage.src = src.replace("_inactive.gif", ".gif");
      }
   }     
}

function validateInput(){
   var message = "";           
   if (document.getElementById("chDiscoverLogicalDisk").checked==true)
    {
        if (isEmpty(document.getElementById("iLogicalDiskTerm").value))
        {
           message = message + "Terminology for Logical Disks is required\n";
           setTimeout(function(){setFocus(document.getElementById("iLogicalDiskTerm"))}, 10);
        }
    }

    if (document.getElementById("chDiscoverRaidGroup").checked==true)
    {
        if (isEmpty(document.getElementById("iRaidGroupTerm").value))
        {
            message = message + "Terminology for Raid Groups is required\n";
            setTimeout(function(){setFocus(document.getElementById("iRaidGroupTerm"))}, 10);
        }
    }
    if (document.getElementById("chDiscoverThinPools").checked==true)
    {
        if (isEmpty(document.getElementById("iThinPoolTerm").value))
        {
            message = message + "Terminology for Thin Pools is required\n";
            setTimeout(function(){setFocus(document.getElementById("iThinPoolTerm"))}, 10);
        }
    }

    if (document.getElementById("chDiscoverThinPools").checked && document.getElementById("chThinPoolSourceDeviceMapping"))
    {
        if (!document.getElementById("chDiscoverLogicalDisk").checked && document.getElementById("chLogicalThingPool").checked)
        {
           message = message + "Discover Logical Disks is not checked\n";
           setTimeout(function(){setFocus(document.getElementById("chLogicalThingPool"))}, 10);
        }
        if (!document.getElementById("chDiscoveryPhysicalDisk").checked && document.getElementById("chPhysicalThingPool").checked)
        {
           message = message + "Discover Physical Disks is not checked\n";
           setTimeout(function(){setFocus(document.getElementById("chPhysicalThingPool"))}, 10);
        }
    }
 
   
    if ( message != ""){
        alert(message);
        return false;
    }
    document.sdkForm.submit();
 }

 function initializePageSections(){
       // physical features
        if (document.getElementById("chDiscoveryPhysicalDisk").checked == true)
        {
            document.getElementById("tbPhysicalDisk").style.display='block';
       }else{
          document.getElementById("tbPhysicalDisk").style.display = 'none';
       }
       if (document.getElementById("chDiscoveryPhysicalGroup").checked == true)
       {
          document.getElementById("tbPhysicalGroup").style.display='block';
       }else{
          document.getElementById("tbPhysicalGroup").style.display = 'none';
       }
       if (document.getElementById("chDiscoverArrayPort").checked == true)
       {
          document.getElementById("tbArrayPort").style.display='block';
       }else{
          document.getElementById("tbArrayPort").style.display = 'none';
       }
       if (document.getElementById("chDiscoverAdapter").checked == true)
       {
          document.getElementById("tbAdapter").style.display='block';
       }else{
          document.getElementById("tbAdapter").style.display = 'none';
       }   
       // logical features
       if (document.getElementById("chDiscoverLogicalDisk").checked == true)
       {
          document.getElementById("tbLogicalDisk").style.display='block';
       }else{
          document.getElementById("tbLogicalDisk").style.display = 'none';
       }

       if (document.getElementById("chDiscoverReplications").checked == true)
       {
          document.getElementById("tbReplication").style.display='block';
       }else{
          document.getElementById("tbReplication").style.display = 'none';
       }
       if (document.getElementById("chLogicalGroup").checked == true)
       {
          document.getElementById("tbLogicalGroup").style.display='block';
       }else{
          document.getElementById("tbLogicalGroup").style.display = 'none';
       }
       if (document.getElementById("chDiscoverLogPhyMapping").checked == true)
       {
          document.getElementById("tbLogicalPhysicalMap").style.display='block';
       }else{
          document.getElementById("tbLogicalPhysicalMap").style.display = 'none';
       }
 }

 function push(field){
       requiredFieldArray[count]=field;
       count++;
 }

   
function testSDKaddOn() {
    var configFile =  getQueryParameter ("configFile");
    var strURL = "/admin/cgi-bin/sisdk.pl/createplugin?config-data="+ configFile +"&test=1";
    var http = false;
    if (window.XMLHttpRequest) {
        http = new XMLHttpRequest();
    }
    else if (window.ActiveXObject) {
        http = new ActiveXObject("Microsoft.XMLHTTP");
    }
    http.open('GET', strURL, true);
    http.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    http.onreadystatechange = function() {
        if (http.readyState == 4) {
            alert(http.responseText);
        }
    }
    http.send(null);
}


function testAddOn() {
    var strURL = "/admin/cgi-bin/sisdk.pl/createplugin";
    var params = window.top.location.search.substring(1);
    sisdk_serverpush(strURL,params); 
}

function createSDKaddOn(configDataPath, test) {
    var strURL = "/admin/cgi-bin/sisdk.pl/createplugin?config-data="+ configDataPath +"&test=" + test;
    var http = false;
    if (window.XMLHttpRequest) {
        http = new XMLHttpRequest();
    }
    else if (window.ActiveXObject) {
        http = new ActiveXObject("Microsoft.XMLHTTP");
    }
    http.open('GET', strURL, true);
    http.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
    http.onreadystatechange = function() {
        if (http.readyState == 4) {
            updateSDKStatus(http.responseText);
        }
    }
    http.send(null);
}

function updateSDKStatus(str) {
    try {
        if (!isEmpty(str))
        {
           var resultStart = str.indexOf("OperationResult:");
           if (resultStart > -1)
           {
               var displayMessage = "";
               var statusMsg = str.substring(0, resultStart);
               var messages = statusMsg.split("...");
               for(i = 0; i < messages.length; i++){
                    displayMessage = displayMessage +  " <br> " + messages[i]; 
               }
               var results = str.substring((resultStart + 16) , str.length);
               var resultEnd = results.indexOf("}\n}");
               var result = results.substring(0, resultEnd+3); 

    	       if (resultEnd < 0){
		           resultEnd = results.indexOf("}\r\n}");
		           result = results.substring(0, resultEnd+4);
	           }
               var resultJson = result.evalJSON();
               document.getElementById("configureStatus").innerHTML  = displayMessage;
                
               if (resultJson.RESULT.RETURNCODE == 0)
               {
                  var downloadPath = escape(resultJson.RESULT.RESULT);         
                  setCookie("addOnSfaFile",downloadPath, 1);
                  var link = "<a href=/admin/cgi-bin/sisdk_ui_downloadFile.pl?path=" + downloadPath + ">Download Add On</a>";
                      document.getElementById("configStatusBar").innerHTML  = "";
                      document.getElementById("downloadSFA").innerHTML = "<b>SI Plug-in Add-on Has Been Created Successfully.<p> Please Click " + link + " to Download. </b>";				 
               }else{
                      document.getElementById("configStatusBar").innerHTML  = "Failed to create SI Plugin Add-on, Please Check Log for More Details. ";
               }
            }
        }
    }
    catch(err) {}
}

function getLogPath(downloadPath){
    var logDirPosition = downloadPath.indexOf("/logs");
    if (logDirPosition < 0)
    {
       logDirPosition = downloadPath.indexOf("\logs");
    }
    var download = downloadPath.substring(logDirPosition, downloadPath.length);
    download = download.replace("\\", "/");
    var path =  escape(download);
    if (!path.startsWith("/"))
    {
        path = "/" + path;
    }
    return path;
}
function downLoadAddOn(path){
 var strURL = "/admin/cgi-bin/downloadAddon.pl?file="+ path;
 window.open(strURL,'Download'); 
}


function sisdk_serverpush(url,params) {
    var newUrl = url + "?" + params;

    var logPath = queryString("test-log");
    
    var csconfig_statusArray = new Array();
    var csconfig_statusIndex=0;
    var cs_config_lastIndex = 0;
    var pushHandler = function(t) {
    var obj = t;
    var ParDiv = document.getElementById("csconfigloginfo");
    try {

          if(t.childNodes[1] == undefined) {
         
          }else{
            if (window.ActiveXObject){
                 var childN = t.childNodes[1];
                 var OperationResultStart = childN.innerHTML.indexOf("OperationResult:")
                 if (OperationResultStart<0)
                 { 
                    ParDiv.innerHTML += t.childNodes[1].outerHTML;
                 }else{                   
                       updateTestStatus(childN, OperationResultStart);
                 }
            }else {
                var childN = t.childNodes[1];
                var OperationResultStart = childN.innerHTML.indexOf("OperationResult:")
                    if (OperationResultStart<0)
                    {               
                        ParDiv.appendChild(childN);
                    }else{ 
                        updateTestStatus(childN, OperationResultStart);
                    }
            }
            document.getElementById("csconfigloginfo").scrollTop = document.getElementById("csconfigloginfo").scrollHeight;
        }
    }
    catch(err) {}
    }
    var stream = new HTTP.Push({"uri"    : url, 
                                  "onPush" : pushHandler,
                                  "interval": 100,
                                  "params":params});
     stream.start();
}

function updateTestStatus(childN, OperationResultStart){
  var str= childN.innerHTML;                        
  var results = str.substring((OperationResultStart + 16) , str.length);
  var resultEnd = results.indexOf("}\n}");
  var result = results.substring(0, resultEnd+3);
  if (resultEnd < 0){
     resultEnd = results.indexOf("}\r\n}");
     result = results.substring(0, resultEnd+4);
  }
  var resultJson = result.evalJSON();
  
  if (resultJson.RESULT.RETURNCODE != 0)
  {
     var failedMessage = unescape(resultJson.RESULT.ERROR);
     document.getElementById("spTestStatus").innerHTML=failedMessage; 
  }else{
     document.getElementById("spTestStatus").innerHTML="SI Plug-in Add-on Testing is Completed";
  }

  document.getElementById("hrefCancel").innerHTML ="Finished";
  var testStatusRow = document.getElementById("trTestStatus");
  testStatusRow.parentNode.removeChild(testStatusRow);
  document.getElementById("tdTestResult").style.display='block';  
}

function help(topicId){
   var link = "onlineHelp/wwhelp/wwhimpl/js/html/wwhelp.htm?context=vomsisdkaddon_help&topic=" + topicId;
   openWindow(link, 900, 550, "onlineHelp", "no", "yes")
}
function queryString(parameter) { 
  var loc = location.search.substring(1, location.search.length);
  var param_value = false;

  var params = loc.split("&");
  for (i=0; i<params.length;i++) {
      param_name = params[i].substring(0,params[i].indexOf('='));
      if (param_name == parameter) {
          param_value = params[i].substring(params[i].indexOf('=')+1)
      }
  }
  if (param_value) {
      return param_value;
  }
  else {
      return false; //Here determine return if no parameter is found
  }
}

var cX = 0; var cY = 0; var rX = 0; var rY = 0;

function updateCursorPosition(e)
{ 
    cX = e.pageX; cY = e.pageY;
}

function updateCursorPositionDocAll(e)
{
    cX = event.clientX; cY = event.clientY;
}

if(document.all) { 
    document.onmousemove = updateCursorPositionDocAll; 
 }else {
     document.onmousemove = updateCursorPosition; 
 }

function positionElement(msgIdElement) {
    if(self.pageYOffset) {
        rX = self.pageXOffset;
        rY = self.pageYOffset;
    }else if(document.documentElement && document.documentElement.scrollTop) 
    {
        rX = document.documentElement.scrollLeft;
        rY = document.documentElement.scrollTop;
    }else if(document.body) {
        rX = document.body.scrollLeft;
        rY = document.body.scrollTop;
    }
    if(document.all) {
        cX += rX;
        cY += rY;
    }
    msgIdElement.style.left = (cX+10) + "px";
    msgIdElement.style.top = (cY+10) + "px";
}

function hideMessage(msgId) {
    if(msgId.length < 1) { return; }
        document.getElementById(msgId).style.display = "none";
    }

function showMessage(msgId) {
    if(msgId.length < 1) { return; }
    var msgIdElement = document.getElementById(msgId);
    positionElement(msgIdElement);
    msgIdElement.style.display = "block";
}

function reverseContentDisplay(msgId) {
    if(msgId.length < 1) { return; }
    var msgIdElement = document.getElementById(msgId);
    positionElement(msgId);
    if(msgIdElement.style.display == "none") { 
        msgIdElement.style.display = "block"; 
    }else { msgIdElement.style.display = "none"; }
}
